All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
check_symmetric.hpp File Reference
`#include <stan/math/prim/scal/err/domain_error.hpp>`
`#include <stan/math/prim/mat/err/check_square.hpp>`
`#include <stan/math/prim/mat/err/constraint_tolerance.hpp>`
`#include <stan/math/prim/mat/fun/Eigen.hpp>`
`#include <stan/math/prim/mat/meta/index_type.hpp>`
`#include <stan/math/prim/mat/fun/value_of.hpp>`
`#include <stan/math/prim/scal/meta/error_index.hpp>`
`#include <sstream>`
`#include <string>`

Go to the source code of this file.

## Namespaces

| stan
| stan::math
| Matrices and templated mathematical functions.

## Functions

template<typename T_y >
bool | stan::math::check_symmetric (const char *function, const char *name, const Eigen::Matrix< T_y, Dynamic, Dynamic > &y)
| Return `true` if the specified matrix is symmetric. More...

[ Stan Home Page ] © 2011–2015, Stan Development Team.